 package com.tanpu.feo.feojob.dao.jyzyuser.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

 /**
 * Entity
 *
 * @author zejia zj wu 2021年05月26日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("org")
public class JyzyOrgEntity implements Serializable {

    private static final long serialVersionUID = 1L;
	/** ID */
	private String id;
	/** 机构唯一识别码 */
	private String orgCode;
	/** 机构名称 */
	private String orgName;
	/** 自动通过认证 */
	private Integer automaticProcessing;
	/** 是否购买了精选：0：否 1：是 */
	private String isbuySelection;
	/** 是否购买了今日聚焦 0：否 1：是 */
	private String isbuyTodayfocus;
	/** 早报审核 0:不审核 1：审核 */
	private Integer isCheckSubject;
	/** 推送标签 */
	private String arPushLabels;
	/** 功能码 */
	private String funCodes;
	/** 个人主页定制 */
	private String homepageCustom;
	/** 获客内容设置 */
	private String contentSet;
	/** 名片模板 */
	private Integer cardTemplate;
	/** 合格投资者认证开关 */
	private Integer accreditedInvestorSwitch;
	/** 朋友圈助手开关 */
	private Integer friendToolsSwitch;
	/** 机构主体类别 */
	private String tagCategoryId;
	/** 阿里云短信签名 */
	private String aliyunSignName;
	/** 阿里云消息模版ID */
	private String aliyunTempcode;
	/** 阿里云AccessKeyId */
	private String aliyunAccessKeyId;
	/** 阿里云AccessKeySecret */
	private String aliyunAccessKeySecret;
	/** 创建时间 */
	private Date createTime;
	/** 创建人 */
	private String createBy;
	/** 修改时间 */
	private Date updateTime;
	/** 修改人 */
	private String updateBy;
	/** 删除标识 */
	private Integer deleteTag;
	/** 系统类型 */
	private Integer appType;
	/** 系统Id */
	private String appId;
	/** 应用Id */
	private String agentId;
	/** 视频直播权限 0：无 1：有 */
	private Integer liveAuth;
    /** id 构造器*/
    public JyzyOrgEntity(String id) {
       setId(id);
    }
}
